#! /usr/bin/env python

from openturns import *

TESTPREAMBLE()
RandomGenerator().SetSeed(0)

try :
    distribution = AliMikhailHaqCopula(0.5)
    size = 1000
    sample = distribution.getSample(size)
    factory = AliMikhailHaqCopulaFactory()
    estimatedDistribution = factory.build(sample)
    print "distribution=", repr(distribution)
    print "Estimated distribution=", repr(estimatedDistribution)

except :
    import sys
    print "t_AliMikhailHaqFactory.py", sys.exc_type, sys.exc_value
